www.mwasoftware.co.uk

The following archive contains our Firebird Merge Modules. Information on how to use them is given here. These files contain the Firebird 1.0.x binaries as provided on the Firebird web site. They are provided "as is" and with no warrantee.

The intended audience for these Merge Modules is Windows developers who want to install Firebird embedded with their applications and use Windows Installer (or one of its front ends e.g. recent versions of Installshield) to install their application. Not all of the Firebird distribution files are included in the Merge Modules. Specifically, developer tools, such as gpre.exe and examples are omitted. If you need these files then you need the full Firebird installation.

Files:
Firebird 1.0.3 Merge Modules HOT

Download



Created
Size
Downloads
2015-02-18
2.9 MB
464

The archive contains a set of 7 Merge Modules. Each Merge Module provides a group of related components. The reason for providing 7 separate modules is to make install time selection of Firebird components easier - especially when using entry level tools such as Installshield Express 3 to build the final installation script. The Merge Module functionality has been based on the Interbase 5 embedded installation guidelines supplemented by observation of the Interbase 6 installation process, and of experience gained in their use.

The Merge Modules are:

fbclient.msm This contains the Firebird 1.0.x client files. It includes checks for existing installations of InterBase/Firebird and will use current installation directories if present. It will abort an install if InterBase 4 or lower is present or 6.5 or higher and give a suitable error message. InterBase 5.x and 6.0 are overwritten.
fbserver.msm This contains the Firebird 1.0.x server files. It includes a check to if the server is running and will stop the server prior to installation/upgrade and restarts it afterwards. It depends on fbclient.msm to check the InterBase version of any existing installation and the installation directories.
fbtools.msm This contains the Firebird 1.0.x command line tools which may be optionally included in a client or server install. It will set the environment path to include the installation directory so that the tools can be easily invoked from the command line.
fbStopServer.msm

This merge module modifies the behaviour of a server install. If an InterBase/Firebird server is running when the installer is run, a dialog box is opened telling the user that the server is running and giving them the opportunity to either exit the installation or to continue. The installer will then automatically stop the server once the install takes place. On an uninstall or in other cases when no user interface is active, the installer will abort with an error message if it is run with a Server running.

This merge module should be included in installations for advanced users or when the install will be on an operational server supporting multiple users and databases. It avoids unintentionally stopping the server and hence potential data loss. Note that making this merge module optional on a "feature" has no effect as it is not component based but instead modifies the install script.

fbIB5Warning.msm

This merge modules modifies the fbclient merge module behaviour. If an existing installation of IB5 is present, a dialog box is opened to inform the user and to give them the chance to either exit the installation or to continue, replacing IB5.x with Firebird 1.0.x. The user is told that the product they are installing is not compatible with IB5 but also warns them that installed applictions that use IB5 may no longer work and/or have to be upgraded or their databases upgraded.

The product supplier should include information on how to handle this case in their release notes. Note that making this merge module optional on a "feature" has no effect as it is not component based but instead modifies the install script.

fb6Warning.msm

This merge modules modifies the fbclient merge module behaviour. If an existing installation of IB6.0 is present, a dialog box is opened to inform the user and to give them the chance to either exit the installation, continue to use IB6.0 (skip the installation of Firebird) or to continue and upgrade IB6.0 to Firebird 1.0.x. If the user elects to continue with IB6.0, the sharedDll counts are updated to ensure that important files are not removed when and if the IB6.0 uninstall is run.

Note that making this merge module optional on a "feature" has no effect as it is not component based but instead modifies the install script.

fbconsole.msm This is just the standard ibconsole program in a Merge Module and available to be included if required. Most users will not need this or have something better.

Note that the InterBase 6 documents Merge Module is still available, but note that the documentation here is now out-of-date with respect to Firebird.

For further information see the notes on using the Merge Modules. If you have any feedback on these Merge Modules, please send us an This email address is being protected from spambots. You need JavaScript enabled to view it..